Package org.eclipse.cdt.core.settings.model.extension.impl

# Class CDefaultTargetPlatformData

java.lang.Object
org.eclipse.cdt.core.settings.model.extension.CDataObject
org.eclipse.cdt.core.settings.model.extension.CTargetPlatformData
org.eclipse.cdt.core.settings.model.extension.impl.CDefaultTargetPlatformData

All Implemented Interfaces:
  `ICSettingBase`

public class CDefaultTargetPlatformData extends CTargetPlatformData

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String[]`
`fBinaryParserIds`
`protected String`
`fId`
`protected boolean`
`fIsModified`
`protected String`
`fName`

### Fields inherited from interface org.eclipse.cdt.core.settings.model.ICSettingBase

`SETTING_BUILD, SETTING_CONFIGURATION, SETTING_FILE, SETTING_FOLDER, SETTING_LANGUAGE, SETTING_PROJECT, SETTING_TARGET_PLATFORM`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`CDefaultTargetPlatformData()`
``
`CDefaultTargetPlatformData(String id, String name)`
``
`CDefaultTargetPlatformData(String id, CTargetPlatformData base)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`copyDataFrom(CTargetPlatformData base)`
`String[]`
`getBinaryParserIds()`
`String`
`getId()`
`String`
`getName()`
`boolean`
`isModified()`
`boolean`
`isValid()`
`void`
`setBinaryParserIds(String[] ids)`
`void`
`setModified(boolean modified)`

### Methods inherited from class org.eclipse.cdt.core.settings.model.extension.CTargetPlatformData

`getType`

### Methods inherited from class org.eclipse.cdt.core.settings.model.extension.CDataObject

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### fName

protected String fName

### fId

protected String fId

### fBinaryParserIds

protected String[] fBinaryParserIds

### fIsModified

protected boolean fIsModified

## Constructor Details

### CDefaultTargetPlatformData

protected CDefaultTargetPlatformData()

### CDefaultTargetPlatformData

public CDefaultTargetPlatformData(String id, String name)

### CDefaultTargetPlatformData

public CDefaultTargetPlatformData(String id, CTargetPlatformData base)

## Method Details

### copyDataFrom

protected void copyDataFrom(CTargetPlatformData base)

### getBinaryParserIds

public String[] getBinaryParserIds()

Specified by:
  `getBinaryParserIds` in class `CTargetPlatformData`

### setBinaryParserIds

public void setBinaryParserIds(String[] ids)

Specified by:
  `setBinaryParserIds` in class `CTargetPlatformData`

### getId

public String getId()

Specified by:
  `getId` in class `CDataObject`

### getName

public String getName()

Specified by:
  `getName` in class `CDataObject`

### isValid

public boolean isValid()

Specified by:
  `isValid` in class `CDataObject`

### isModified

public boolean isModified()

### setModified

public void setModified(boolean modified)